
<?php
/*

Mit INT(a/b) [..] sei diejenige Funktion
bezeichnet, die dem Quotienten a/b die grte in ihm
enthaltene ganze Zahl zuordnet. Beispiele: INT(-1/2) = -1,
INT(1/2) = 0, INT(3/2) = 1.

Osterformel lt. PTB
K = INT( X / 100 )    (Ostern.1)
M = 15 + INT(( 3*K+3 ) / 4 ) - INT(( 8*K+13 ) / 25 )    (Ostern.2)
S = 2 - INT(( 3*K+3 ) / 4    (Ostern.3)
A = MOD( X, 19 )    (Ostern.4)
D = MOD( 19*A+M, 30 )    (Ostern.5)
R = INT( D / 29 ) + ( INT( D / 28 ) - INT( D / 29 )) * INT( A / 11 )    (Ostern.6)
OG = 21 + D - R    (Ostern.7)
Mrzdatum des Ostervollmonds (= 14. Tag des ersten Monats im Mondkalender, genannt Nisanu)
SZ = 7 - MOD( X + INT( X / 4 ) + S, 7 )    (Ostern.8)
Datum des 1. Sonntags im Mrz
OE = 7 - MOD( OG - SZ, 7 )    (Ostern.9)
Dann ist OS = OG + OE das Datum des Ostersonntags, als Datum im Monat Mrz dargestellt. Der 32. Mrz entspricht dem 1. April
*/
/* Ostersonntag - 46: Aschermittwoch,  (Aschermittwoch)
   Ostersonntag + 39: Christi Himmelfahrt,    (Himmelfahrt)
   Ostersonntag + 49: Pfingstsonntag,    (Pfingstsonntag)
   Ostersonntag + 60: Fronleichnam    (Fronleichnam)
*/

//$jahr = 2006;

//31.3.2002 20.4.2003 11 27 16
//$J = date ("Y", mktime ());
//$zeichen = osterformel(2002);
//echo date(d,$zeichen);
//echo date(m,$zeichen);
//echo date(Y,$zeichen);
  //echo $J;
function osterformel($jahr){

  $J = $jahr;
  $a = $J % 19;
  $b = $J % 4;
  $c = $J % 7;
  $m = number_format (8 * number_format ($J / 100) + 13) / 25 - 2;
  $s = number_format ($J / 100 ) - number_format ($J / 400) - 2;
  $M = (15 + $s - $m) % 30;
  $N = (6 + $s) % 7;
  $d = ($M + 19 * $a) % 30;


  if ($d == 29)
  {
      $D = 28;
  }
  else if ($d == 28 and $a >= 11)
  {
      $D = 27;
  }
  else
  {
      $D = $d;
  }

  $e      = (2 * $b + 4 * $c + 6 * $D + $N) % 7;
  $easter = mktime (0, 0, 0, 3, 21, $jahr) +
                                     (($D + $e + 1) * 86400);
  return $easter;
  //echo date(m,$easter)." ";
  //echo $J;
}
?>
